# Some useful tools for Python [in context of Data Science]

[![PyPI](https://img.shields.io/pypi/v/somepytools)](https://pypi.org/project/somepytools/)
[![Downloads](https://pepy.tech/badge/somepytools)](https://pepy.tech/project/somepytools)
[![License: Apache](https://img.shields.io/badge/license-Apache%202-blue)](https://github.com/v-goncharenko/somepytools/blob/master/LICENSE)
[![Code style: black](https://img.shields.io/badge/code%20style-black-000000.svg)](https://github.com/psf/black)

Here I gather functions that are handful in Data Science & Machine Learning
projects.

All functions are described by their docstrings, rendering documentation is next
step.

## Installation

It's [published on PyPI](https://pypi.org/project/somepytools/), so simply

`pip install somepytools`

## Reference

Modules inclues:

- extended typing module
- common read-write operations for configs
- utils to work with filesystem
- functions to handle videos in opencv
- torch utilities (infer and count parameters)
- even more (e.g. wrapper to convert strings inputs to `pathlib`)

For now it's better to go through the files and look at contents
